using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VIZ.Framework.Core;

namespace VIZ.Package.Module
{
    /// <summary>
    /// 主视图服务
    /// </summary>
    public interface IMainViewService : IService
    {
        /// <summary>
        /// 保存布局
        /// </summary>
        void SaveLayout();

        /// <summary>
        /// 加载布局
        /// </summary>
        void LoadLayout();

        /// <summary>
        /// 设置主视图是否可用
        /// </summary>
        /// <param name="isEnabled">是否可用</param>
        void SetIsEnabled(bool isEnabled);

        /// <summary>
        /// 导出布局
        /// </summary>
        void ExportLayout(string param);

        /// <summary>
        /// 加载布局
        /// </summary>
        void ImportLayout(string param);
    }
}
